/*
==============================
  CONTENT
==============================
  1- Custom Properties
    1.1- Colors
  2- Reset Styles
    2.1- Global
    2.2- Body
    2.3- Images
    2.4- Unordered Lists
    2.5- Scrollbar
  3- Utility Classes
    3.1- Container
    3.2- Card
  4- Main Styles
    4.1- Header
    4.2- Main
      4.2.1- About Us
      4.2.2- Our Services
      4.2.3- Why Choose Us
      4.2.4- Contact Us
    4.3- Footer
  5- Responsive Styles
    5.1- Screens from 750px and above
      5.1.1- Main Styles
        5.1.1.1- Main Content
*/

/* ==============================
  1- Custom Properties
============================== */
:root {
  /* 1.1- Colors
  ==============================*/
  --secondary-color-1: #333;
  --secondary-color-2: #131313;
}

/* ==============================
  2- Reset Styles
============================== */

/* 2.1- Global
==============================*/
* {
  padding: 0;
  margin: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

/* 2.2- Body
==============================*/
body {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  color: white;
  background-color: var(--secondary-color-1);
  min-height: 100svh;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  letter-spacing: 1.5px;
  line-height: 1.5;
}

/* 2.3- Images
==============================*/
img {
  display: block;
  width: 100%;
}

/* 2.4- Unordered Lists
==============================*/
ul {
  list-style: none;
}

/* 2.5- Scrollbar
==============================*/
::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}
::-webkit-scrollbar-track {
  background-color: var(--secondary-color-2);
  border-radius: 5px;
}
::-webkit-scrollbar-thumb {
  background-color: white;
  border-radius: 5px;
}
::-webkit-scrollbar-thumb:hover {
  background-color: beige;
  cursor: pointer;
}

/* ==============================
  3- Utility Classes
============================== */

/* 3.1- Container
==============================*/
.container {
  max-width: 1000px;
  margin-inline: auto;
  padding-inline: 0.5rem;
}

/* 3.2- Card
==============================*/

.card {
  padding: 4rem 3rem;
  border-radius: 1rem;
  -webkit-transition-duration: 300ms;
  -o-transition-duration: 300ms;
  transition-duration: 300ms;
}

.card:hover {
  color: var(--secondary-color-2);
  background-color: beige !important;
}

/* ==============================
  4- Main Styles
============================== */

/* 4.1- Header
==============================*/

header {
  padding-block: 2rem;
}

header a.logo {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 1rem;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  text-decoration: none;
  color: white;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-bottom: 1rem;
}

header img.logo {
  width: 2.5rem;
  height: 2.5rem;
  border-radius: 50%;
}

header h1 {
  margin-block: 0;
}

/* 4.2- Main Content
==============================*/

main {
  -webkit-box-flex: 1;
  -ms-flex: 1;
  flex: 1;
  background-color: var(--secondary-color-2);
}

main > section {
  padding-block: 3rem;
}

main > section:nth-child(2n) {
  background-color: var(--secondary-color-1);
}

main h2 {
  margin-bottom: 1rem;
}

main section.ourServices ul,
main section.whyChooseUs ul,
main section.contactUs ul {
  margin-top: 1rem;
  display: -ms-grid;
  display: grid;
  gap: 0.5rem;
}

/* 4.2.1- About Us */

main section.aboutUs {
}

/* 4.2.2- Our Services */

main section.ourServices {
}

main section.ourServices ul .card {
  text-align: center;
  background-color: var(--secondary-color-2);
}

/* 4.2.3- Why Choose Us */

main section.whyChooseUs h3 {
  margin-bottom: 1rem;
}

main section.whyChooseUs ul .card {
  background-color: var(--secondary-color-1);
}

/* 4.2.4- Contact Us */

main section.contactUs ul .card {
  padding-block: 2rem;
  background-color: var(--secondary-color-2);
}

main section.contactUs h3 {
  margin-bottom: 0.5rem;
}

main section.contactUs a {
  color: inherit;
}

main section.contactUs .container > p:last-of-type {
  text-align: center;
  margin-top: 2rem;
}

/* 4.3- Footer
==============================*/

footer {
  background-color: var(--secondary-color-2);
  padding-block: 1rem;
  text-align: center;
}

/* ==============================
  5- Responsive Styles
============================== */

/* 5.1- Screens from 750px and above
==============================*/
@media screen and (min-width: 750px) {
  /* ==============================
  5.1.1- Main Styles
  ============================== */

  /* 5.1.1.1- Main Content
  ==============================*/

  main > section {
    padding-block: 5rem;
  }

  main section.ourServices ul,
  main section.whyChooseUs ul,
  main section.contactUs ul {
    margin-top: 2rem;
    gap: 1rem;
  }

  main section.ourServices ul,
  main section.whyChooseUs ul {
    /* -ms-grid-columns: (1fr) [2]; */
    grid-template-columns: repeat(2, 1fr);
  }

  /* 5.1.1.2- Footer
  ==============================*/
  .footer {
    padding-block: 3rem;
  }
}
